graph.tasks

## Class GraphTasksFactory

- java.lang.Object
- - graph.tasks.GraphTasksFactory

-     public class GraphTasksFactory
      extends java.lang.Object

  Továrna na objekty třídy GraphTasks.

  Užití: instance této třídy lze používat v aplikacích.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private HeapFactory` | `heapFactory` továrna na haldy, které se použijí jako prioritní fronty
    `private SequenceFactory` | `sequenceFactory` továrna na posloupnosti, které slouží jako výsledky úloh

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphTasksFactory(HeapFactory hf, SequenceFactory sf)` Vyrobí továrnu.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DirectedGraphTasks` | `createDirectedGraphTasks(DirectedGraph g, ShortestPathFactory spf, StackFactory stf)` Vyrobí objekt řešící úlohy na orientovaných grafech.
    `UndirectedGraphTasks` | `createUndirectedGraphTasks(UndirectedGraph g, ShortestPathFactory spf, GraphFactory gf)` Vyrobí objekt řešící úlohy na neorientovaných grafech.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### heapFactory

          private HeapFactory heapFactory

      továrna na haldy, které se použijí jako prioritní fronty

    - #### sequenceFactory

          private SequenceFactory sequenceFactory

      továrna na posloupnosti, které slouží jako výsledky úloh

  - ### Constructor Detail

    - #### GraphTasksFactory

          public GraphTasksFactory(HeapFactory hf,
                                   SequenceFactory sf)

      Vyrobí továrnu.
      Parameters:
        `hf` - továrna na haldy, které se použijí jako prioritní fronty
        `sf` - továrna na posloupnosti, které slouží jako výsledky úloh

  - ### Method Detail

    - #### createUndirectedGraphTasks

          public UndirectedGraphTasks createUndirectedGraphTasks(UndirectedGraph g,
                                                                 ShortestPathFactory spf,
                                                                 GraphFactory gf)

      Vyrobí objekt řešící úlohy na neorientovaných grafech.
      Parameters:
        `g` - graf, na kterém se mají řešit úlohy
        `spf` - továrna na objekty, které hledají nejkratší cestu
        `gf` - továrna na grafy, které slouží jako výsledky úloh
      Returns:
        objekt řešící úlohy na neorientovaných grafech

    - #### createDirectedGraphTasks

          public DirectedGraphTasks createDirectedGraphTasks(DirectedGraph g,
                                                             ShortestPathFactory spf,
                                                             StackFactory stf)

      Vyrobí objekt řešící úlohy na orientovaných grafech.
      Parameters:
        `g` - graf, na kterém se mají řešit úlohy
        `spf` - továrna na objekty, které hledají nejkratší cestu
        `stf` - továrna na zásobníky, nejjednodušší kolekce objektů
      Returns:
        objekt řešící úlohy na orientovaných grafech